Subject: Re: [PATCH v2 2/2] clk: tests: Add tests for fractional divisor approximation

From: Stephen Boyd <[email-masked]>
Date: Wed, 14 Jun 2023 13:02:24 -0700

Quoting Frank Oltmanns (2023-06-14 01:19:37)
> Hi,
> 
> On 2023-06-13 at 20:48:21 +0800, kernel test robot <[email-masked]> wrote:
> > Hi Frank,
> >
> > kernel test robot noticed the following build errors:
> >
> > [auto build test ERROR on v6.4-rc6]
> > [also build test ERROR on linus/master]
> > [cannot apply to clk/clk-next next-20230613]
> > [If your patch is applied to the wrong git tree, kindly drop us a note.
> > And when submitting patch, we suggest to use '--base' as documented in
> > https://git-scm.com/docs/git-format-patch#_base_tree_information]
> >
> > url:    https://github.com/intel-lab-lkp/linux/commits/Frank-Oltmanns/clk-fractional-divider-Improve-approximation-when-zero-based/20230613-163903
> > base:   v6.4-rc6
> > patch link:    https://lore.kernel.org/r/20230613083626.227476-3-frank%40oltmanns.dev
> > patch subject: [PATCH v2 2/2] clk: tests: Add tests for fractional divisor approximation
> > config: csky-randconfig-r011-20230612 (https://download.01.org/0day-ci/archive/20230613/[email-masked]/config)
> > compiler: csky-linux-gcc (GCC) 12.3.0
> > reproduce (this is a W=1 build):
> >         mkdir -p ~/bin
> >         wget https://raw.githubusercontent.com/intel/lkp-tests/master/sbin/make.cross -O ~/bin/make.cross
> >         chmod +x ~/bin/make.cross
> >         git checkout v6.4-rc6
> >         b4 shazam https://lore.kernel.org/r/[email-masked]
> >         # save the config file
> >         mkdir build_dir && cp config build_dir/.config
> >         COMPILER_INSTALL_PATH=$HOME/0day COMPILER=gcc-12.3.0 ~/bin/make.cross W=1 O=build_dir ARCH=csky olddefconfig
> >         COMPILER_INSTALL_PATH=$HOME/0day COMPILER=gcc-12.3.0 ~/bin/make.cross W=1 O=build_dir ARCH=csky SHELL=/bin/bash
> >
> > If you fix the issue in a separate patch/commit (i.e. not just a new version of
> > the same patch/commit), kindly add following tags
> > | Reported-by: kernel test robot <[email-masked]>
> > | Closes: https://lore.kernel.org/oe-kbuild-all/[email-masked]/
> >
> > All errors (new ones prefixed by >>, old ones prefixed by <<):
> >
> >>> ERROR: modpost: "clk_fractional_divider_general_approximation" [drivers/clk/clk_test.ko] undefined!
> 
> The issue seems to be that clk_fractional_divider_general_approximation
> is not exported as a symbol, while the config builds the clk_test as a
> module:
> CONFIG_CLK_KUNIT_TEST=m
> 
> If I'm not mistaken, this means that I can't test
> clk_fractional_divider_general_approximation directly. Instead I'd have
> to test it using clk_fractional_divider_ops.round_rate.
> 
> Can someone more knowlegdable than me please confirm if my understanding
> is correct?

Export the symbol.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel